# Yahoo! UI Library

### DataTable Widget 2.5.1

Yahoo! UI Library > datatable > YAHOO.widget.Record

Show Private Show Protected

## Class YAHOO.widget.Record

The Record class defines a DataTable record.

### Constructor

YAHOO.widget.Record `( oConfigs )`

Parameters:
  `oConfigs <Object>` (optional) Object literal of key/value pairs.

### Properties

#### _oData `- private Object`

Holds data for the Record in an object literal.

#### _sId `- private String`

Immutable unique ID assigned at instantiation. Remains constant while a Record's position index can change from sorting.

#### Record._nCount `- private Number`

Internal class variable to give unique IDs to Record instances.

### Methods

#### getData

`void getData ( sKey )`
Returns data for the Record for a key if given, or the entire object literal otherwise.

Parameters:
  `sKey <String>` (Optional) The key to retrieve a single data value.

Returns: `void`
  Object

#### getId

`void getId ( )`
Returns unique ID assigned at instantiation.

Returns: `void`
  String

#### setData

`void setData ( sKey , oData )`
Sets given data at the given key. Use the RecordSet method setValue to trigger events.

Parameters:
  `sKey <String>` The key of the new value.
  `oData <MIXED>` The new value.

Returns: `void`

Copyright © 2007 Yahoo! Inc. All rights reserved.